#include "GraphicsView.h"
#include <QMouseEvent>
#include <QWheelEvent>
#include <QKeyEvent>

GraphicsView::GraphicsView(QWidget *parent)
    : QGraphicsView(parent)
{}

GraphicsView::GraphicsView(QGraphicsScene *scene, QWidget *parent)
    : QGraphicsView(scene, parent)
{}

GraphicsView::~GraphicsView()
{}

void GraphicsView::mouseMoveEvent(QMouseEvent *e)
{
    e->ignore();
}

void GraphicsView::wheelEvent(QWheelEvent *e)
{
    e->ignore();
}

void GraphicsView::keyPressEvent(QKeyEvent *e)
{
    e->ignore();
}
